summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2011-08-09 16:30:11 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-08-09 16:30:11 -0300
commit70f3daff01faa18272eee054a3ee186a09ebdba8 (patch)
tree9c9714fcb35024a3f18a72e60c00b4c7bc658d5b /audio
parentd2dd7e84f591d429b3a897b558f7c027d36f7e8a (diff)
downloadslackbuilds-70f3daff01faa18272eee054a3ee186a09ebdba8.tar.gz
slackbuilds-70f3daff01faa18272eee054a3ee186a09ebdba8.tar.xz
audio/sonic-visualiser: Added (audio file visualiser)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/sonic-visualiser/README14
-rw-r--r--audio/sonic-visualiser/doinst.sh10
-rw-r--r--audio/sonic-visualiser/slack-desc19
-rw-r--r--audio/sonic-visualiser/sonic-visualiser.SlackBuild89
-rw-r--r--audio/sonic-visualiser/sonic-visualiser.info9
5 files changed, 141 insertions, 0 deletions
diff --git a/audio/sonic-visualiser/README b/audio/sonic-visualiser/README
new file mode 100644
index 0000000000..11b3545797
--- /dev/null
+++ b/audio/sonic-visualiser/README
@@ -0,0 +1,14 @@
+Sonic Visualiser is an application for viewing and analysing the contents
+of music audio files. The aim of Sonic Visualiser is to be the first
+program you reach for when want to study a musical recording rather than
+simply listen to it.
+
+This requires ladspa_sdk, vamp-plugin-sdk, rubberband, and liblrdf.
+Also, one (or both) of either jack-audio-connection-kit or portaudio is
+required for audio playback.
+
+Note to x86_64 users: if sonic-visualiser can't seem to find
+any VAMP plugins you've installed, you may have to 'export
+VAMP_PATH=/usr/lib64/vamp'. The SBo vamp-plugin-sdk (v2.1, build
+2) package at the time of this writing still defaults to using
+/usr/lib/vamp. Future builds of vamp-plugin-sdk should address this.
diff --git a/audio/sonic-visualiser/doinst.sh b/audio/sonic-visualiser/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/audio/sonic-visualiser/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/audio/sonic-visualiser/slack-desc b/audio/sonic-visualiser/slack-desc
new file mode 100644
index 0000000000..fa92c62e1e
--- /dev/null
+++ b/audio/sonic-visualiser/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sonic-visualiser: sonic-visualiser (audio file visualiser)
+sonic-visualiser:
+sonic-visualiser: Sonic Visualiser is an application for viewing and analysing the
+sonic-visualiser: contents of music audio files. The aim of Sonic Visualiser is to be
+sonic-visualiser: the first program you reach for when want to study a musical recording
+sonic-visualiser: rather than simply listen to it.
+sonic-visualiser:
+sonic-visualiser:
+sonic-visualiser:
+sonic-visualiser:
+sonic-visualiser:
diff --git a/audio/sonic-visualiser/sonic-visualiser.SlackBuild b/audio/sonic-visualiser/sonic-visualiser.SlackBuild
new file mode 100644
index 0000000000..2761441869
--- /dev/null
+++ b/audio/sonic-visualiser/sonic-visualiser.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/bash
+
+# Slackware build script for sonic-visualiser
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=sonic-visualiser
+VERSION=${VERSION:-1.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+
+# There is no 'make install', stick everything where it goes:
+mkdir -p $PKG/usr/{bin,share/$PRGNAM/samples}
+install -s -m0755 $PRGNAM/$PRGNAM $PKG/usr/bin/$PRGNAM
+install -m0644 $PRGNAM/samples/* $PKG/usr/share/$PRGNAM/samples
+
+mkdir -p $PKG/usr/share/applications
+cp $PRGNAM/$PRGNAM.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/share/icons/hicolor/scalable/apps
+cp $PRGNAM/icons/sv-icon.svg $PKG/usr/share/icons/hicolor/scalable/apps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $PRGNAM/{CHANGELOG,COPYING,README,README.OSC} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/sonic-visualiser/sonic-visualiser.info b/audio/sonic-visualiser/sonic-visualiser.info
new file mode 100644
index 0000000000..19af21e3cc
--- /dev/null
+++ b/audio/sonic-visualiser/sonic-visualiser.info
@@ -0,0 +1,9 @@
+PRGNAM="sonic-visualiser"
+VERSION="1.8"
+HOMEPAGE="http://sonicvisualiser.org/"
+DOWNLOAD="http://downloads.sourceforge.net/sv1/sonic-visualiser-1.8.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="ad676d0b4cf5b8561306487f52642862"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"